Subject: RE: bug#21472: 25.0.50; REGRESSION: (emacs) `Coding Systems' uses curly quotes for Lisp strings

From: Drew Adams <[email-masked]>
Date: Tue, 15 Sep 2015 16:48:07 -0700 (PDT)

> it could be written to avoid the need for the quotes, and this
> should help avoid confusion like the problem Drew reported.
> I went through the Emacs, Elisp, and Elisp intro manuals looking for
> this sort of problem and fixed the ones that I found in commit
> ef7dbdf5873bf0a1f3f0e64e5d019e74d5b15b9e.  The sentence Drew mentioned now
> looks like this:
> 
> Emacs handles three different conventions for how to separate lines in a
> file: newline (Unix), carriage-return linefeed (DOS), and just carriage-return
> (Mac).
> 
> which avoids the quoting issue entirely.

That fixed sentence looks good to me, FWIW.

I cannot speak to other quoted terms that you might have changed.
I think that those other changes should be handled separately,
not as part of the fix for this bug.  This bug is about these
particular terms: downcased and quoted.

IOW, if you want to consider/discuss what should be done (if
anything) about other quoted occurrences, please don't tie fixing
this bug to that consideration/discussion and possible changes
resulting from that consideration/discussion.